Installation du pilote Nvidia avec Steam

Tags: #<Tag:0x00007f8a4d87dd20> #<Tag:0x00007f8a4d87dc58> #<Tag:0x00007f8a4d87db18>

Bonjour,

J’ai tenté d’installer le pilote propriétaire Nvidia et ceci à deux reprises:

  • via les dépôts Debian
  • via le .run Nvidia

En suivant ce tuto:
https://linuxconfig.org/how-to-install-the-latest-nvidia-drivers-on-debian-9-stretch-linux

Par contre, j’ai oublié la partie sur llvm, je ne sais pas si c’était important.

A chaque fois le même résultat… Mon système freeze au moment du boot, juste après la ligne qui dit que le disque sda est “clean”.

J’ai donc lâché l’affaire avec ce pilote propriétaire et j’ai remis le bon vieux “nouveau” qui fonctionne pas trop mal. Mais j’aurais vraiment voulu voir ce que donnait le pilote propriétaire Nvidia niveau fps dans un jeux, car avec le module “nouveau” je suis vraiment limite à csgo. Je tourne entre 20 et 45 fps. Mais c’est plus souvent vers les 20 que vers les 45 vous voyez =)

Ah oui et pour la désinstallation du pilote propriétaire des dépôts Debian, ce fut un vrais schmilblick. Lors de la désinstallation, le système n’a pas reconnu les dépendances, ce qui fait que j’ai du tout rechercher manuellement, et désinstaller chaque paquet un par un, bref, une vraie galère.

Alors si vous avez une idée lumineuse sur pourquoi le pilote propriétaire ne fonctionne pas, je veux bien retenter une dernière fois de l’installer, sinon ce n’est pas la peine.

Et y a t-il moyen de régler le module “nouveau” ? Je veux dire comme on peut le faire avec le pilote propriétaire Nvidia. Pouvoir régler tout en performance ou tout en qualité.

Ah oui, et je vous le dit tout de suite, mon fichier xorg.conf était bien configuré, c’était bien écrit “nvidia” à la place de “nouveau”. Je préfère vous le dire avant que vous me le demandiez. Et le module “nouveau” était bien blacklisté.

Ma carte graphique est une Nvidia geforce 710m. Je ne sais pas si elle est supportée par le pilote du dépôt Debian mais en tout cas elle est supportée par le .run puisque je l’ai sélectionnée dans la liste des pilotes disponibles pour ma carte graphique sur le site officiel.

ça serait pas un portable? que dit la commande en user:

lspci | egrep ‘VGA|3D|Display’

Bonjour

Normalement, pour la carte NVIDIA GeForce 710M c’est le fichier
NVIDIA-Linux-x86_64-390.77.run

Je viens de l’installer sans problème sur ma machine.

Si, c’est un portable.

:~$ lspci | egrep ‘VGA|3D|Display’
bash: 3D : commande introuvable
bash: Display’ : commande introuvable

Par contre en lançant un lscpi, je trouve cette ligne:

01:00.0 3D controller: NVIDIA Corporation GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M] (rev a1)

Oui c’est bien ce pilote que j’ai installé.

il vaut toujours mieux éviter d’installer le .run mais préférer passer par le paquet nvidia-driver des dépôts. Quelle est ta version debian; stable; testing ou sid?

testing

Mais c’est quand même bizarre que le pilote des dépôts et le .run fassent freezé le système au même endroit. C’est à dire quand le disque dur dit être “clean”.
On dirait bien que c’est quand le pilote Nvidia est chargé en mémoire que cela freeze.

il faudrait connaître ta version.

IL y a 4 drivers NVIDIA dont 2 sont dans les dépôts de STRETCH - comme legacy 203&340.
Le plus ancien 173 et le plus nouveau 390.48 ou 309.77 n’y sont pas et sont installés par le .run de NVIDIA .
Il y a recouvrement et certaines cartes peuvent etre piloté par 2 drivers.
Commencez par lspci | egrep VGA.
-rw-r–r-- 21100833 mai 4 17:31 NVIDIA-Linux-x86_64-173.14.39-pkg2.run
-rw-r–r-- 70087133 mai 4 18:09 NVIDIA-Linux-x86_64-304.137.run
-rw-r–r-- 69987642 mai 4 18:05 NVIDIA-Linux-x86_64-340.106.run
-rw-r–r-- 81341723 mai 4 18:02 NVIDIA-Linux-x86_64-390.48.run

toujours pas de réponse; comme dit phoque76 il y’a plusieurs versions de nvidia-driver en fonction de la version et il faut vérifier laquelle est la bonne et comment adapter pour avoir le pilote le plus récent.

Mais si je t’ai répondu, regarde mon post ci-dessus, je suis en testing.

Voilà ce que donne lspci | egrep VGA

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

fais un copié-collé de la commande

lspci | egrep ‘VGA|3D|Display’

et donne la réponse.

Déjà fait également, regarde mon post ci-dessus.

tu dois avoir une réponse à cette commande; c’est cette réponse qui dira si il faut installer le paquet nvidia-driver ou alors installer le paquet bumblebee et ça fera toute la différence. Faute de réponse de la commande comment savoir si ta carte utilise la technique optimus.

Ta commande ne fonctionne pas pour 3D et Display, je ne sais pas pourquoi. Mais j’ai déjà donné la réponse pour 3D, regarde mon post ci-dessus.

Aller je vais te la remarquer ici:

lspci | egrep 3D
01:00.0 3D controller: NVIDIA Corporation GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M] (rev a1)

lspci | egrep Display
(RIEN)

Bonjour

La ligne de commande suivante devrait sans doute donner le type de réponse attendu

lspci | egrep 'VGA|3D|Display'

C’est une question de mauvais caractère (les apostrophes)

Bah pas pour moi, pour moi ça donne ça:
:~$ lspci | egrep ‘VGA|3D|Display’
bash: 3D : commande introuvable
bash: Display’ : commande introuvable

Même en enlevant les apostrophes ça ne change rien. Exactement la même réponse.

michel@debg53sw:~$ echo "lspci | egrep ‘VGA|3D|Display’" | hd
00000000  6c 73 70 63 69 20 7c 20  65 67 72 65 70 20 e2 80  |lspci | egrep ..|
00000010  98 56 47 41 7c 33 44 7c  44 69 73 70 6c 61 79 e2  |.VGA|3D|Display.|
00000020  80 99 0a                                          |...|
00000023
michel@debg53sw:~$ 
michel@debg53sw:~$ echo "lspci | egrep 'VGA|3D|Display'" | hd
00000000  6c 73 70 63 69 20 7c 20  65 67 72 65 70 20 27 56  |lspci | egrep 'V|
00000010  47 41 7c 33 44 7c 44 69  73 70 6c 61 79 27 0a     |GA|3D|Display'.|
0000001f
michel@debg53sw:~$ 

les caractères suivants

‘ ’

sont différents,
il s’agit des caractères :

U+2018 ‘ e2 80 98 LEFT SINGLE QUOTATION MARK  
U+2019 ’ e2 80 99 RIGHT SINGLE QUOTATION MARK

(zoomer à fond sur la page pour visualiser la différence)
et ne sont pas des caractères apostrophe
que l’on peut voir ci-dessous :

'
U+0027	'	27	APOSTROPHE

Bonjour à tous,

En insistant avec :

lspci | grep -e VGA -e 3D -e Display

On a vu depuis quelques messages que c’est un système vidéo hybride :

01:00.0 3D controller: NVIDIA Corporation GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M] (rev a1)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

Bon courage !

donc c’est bumblebee qui doit être installé; c’est ce que je cherchais à savoir.

Si tu as installé le .run de chez nvidia il faut absolument enlever toute trace de ce pilote en se mettant en mode console et en lançant la commande root:

nvidia-installer --uninstall

et ensuite installer le paquet bumblebee; mais pour ce pilote et la technologie optimus je n’ai aucune expérience ne les ayant jamais utilisés

J’ai depuis 2012 un portable Asus avec une vidéo hybride Optimus.
Comme le dit anonyme2, il faut nettoyer au préalable puis suivre le tuto officiel.
J’ai bien galéré avec Optimus. Et il existe d’autres systèmes vidéo hybrides.